=== debian/changelog ===
deepin-voice-note (5.10.9-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Thu, 13 Jan 2022 16:35:37 +0800

deepin-voice-note (1.0) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 11 Oct 2017 17:38:35 +0800
