=== debian/changelog ===
deepin-voice-note (5.10.15-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Mon, 16 May 2022 10:23:39 +0800
