=== debian/changelog ===
deepin-voice-note (5.10.20-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Thu, 17 Nov 2022 10:53:43 +0800
