=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  qtbase5-dev,
  pkg-config,
  libsqlite3-dev,
- qtbase5-private-dev,
  qtmultimedia5-dev,
  libglib2.0-dev,
  libdtkwidget-dev,
@@ -30,6 +29,8 @@
 
 Package: deepin-voice-note
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ gstreamer1.0-pulseaudio
+Recommends: uos-reporter, deepin-event-log
 Description: Voice Notes is a lightweight memo tool to make text notes and voice recordings
   Voice Notes is a simple memo software with texts and voice recordings. You are able to save the recordings as MP3 format or texts.
