=== debian/changelog ===
deepin-voice-note (5.10.22-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Fri, 02 Dec 2022 11:39:12 +0800
