=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 Package: deepin-voice-note
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- gstreamer1.0-pulseaudio
+ gstreamer1.0-pulseaudio,gstreamer1.0-plugins-base,gstreamer1.0-plugins-good
 Recommends: uos-reporter, deepin-event-log
 Description: Voice Notes is a lightweight memo tool to make text notes and voice recordings
   Voice Notes is a simple memo software with texts and voice recordings. You are able to save the recordings as MP3 format or texts.
