## deepin-voice-note 5.10.23

=== debian/changelog ===
deepin-voice-note (5.10.23-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Mon, 03 Apr 2023 14:29:59 +0800

deepin-voice-note (5.10.23) unstable; urgency=medium

  * New version 5.10.23

 -- wangcong <wangcong@uniontech.com>  Tue, 07 Feb 2023 17:37:17 +0800
