## deepin-voice-note 6.0.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,20 +44,15 @@
 
 project(${APP_BIN_NAME})
 
-include(GNUInstallDirs)
-if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
-    set(CMAKE_INSTALL_PREFIX /usr)
-endif ()
-
 set(CMAKE_VERBOSE_MAKEFILE ON)
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed -fPIE")
-set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g")
+set(CMAKE_CXX_FLAGS "-Wl,--as-need -fPIE")
+set(CMAKE_EXE_LINKER_FLAGS "-pie")
+set(CMAKE_CXX_FLAGS "-g")
 
 #安全编译参数
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
@@ -102,6 +97,16 @@
 #       needupdatets  <Only -DUPDATE_TS when need update ts file>
 #       sourcedir
 #       <projectname>.ts
+
+# 判断系统环境
+#file(STRINGS "/etc/os-version" MAJOR_STR REGEX "MajorVersion")
+execute_process(COMMAND cat /etc/os-version OUTPUT_VARIABLE OS_INFO_STR)
+string(REGEX MATCHALL "MajorVersion=[0-9]+" MAJOR_STR "${OS_INFO_STR}")
+string(REGEX MATCH "[0-9]+" MAJOR_VERSION "${MAJOR_STR}")
+if (MAJOR_VERSION MATCHES "23")
+    message("--------------------- OS_BUILD_V23 on")
+    add_definitions(-DOS_BUILD_V23)
+endif()
 
 execute_process(COMMAND bash
                     ${APP_TRANS_SCRIPT}
@@ -152,12 +157,13 @@
 include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
 include_directories(${Qt5Svg_INCLUDE_DIRS})
 include_directories(${Qt5Xml_INCLUDE_DIRS})
+pkg_search_module(libdmr REQUIRED libdmr)
 
 # Tell CMake to create the executable
 add_executable(${PROJECT_NAME} ${VNOTE_SRC} ${APP_QRC})
 
 target_include_directories(${APP_BIN_NAME}
-    PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})
+    PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR} ${libdmr_INCLUDE_DIRS})
 
 target_link_libraries(${APP_BIN_NAME}
     ${DtkWidget_LIBRARIES}
@@ -175,24 +181,27 @@
     Qt5::WebEngineWidgets
     ${Qt5Svg_LIBRARIES}
     ${Qt5Xml_LIBRARIES}
+    ${libdmr_LIBRARIES}
 )
 
+set(CMAKE_INSTALL_PREFIX /usr)
+
 # Install files
-install(TARGETS deepin-voice-note DESTINATION ${CMAKE_INSTALL_BINDIR})
+install(TARGETS deepin-voice-note DESTINATION bin)
 
 file(GLOB APP_QM_FILES "translations/*.qm")
-install(FILES ${APP_QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-voice-note/translations)
-install(FILES ${APP_DESKTOP} DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
-install(FILES ${APP_CONFIG} DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-voice-note)
-install(FILES ${APP_LOGO} DESTINATION  ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps/)
+install(FILES ${APP_QM_FILES} DESTINATION share/deepin-voice-note/translations)
+install(FILES ${APP_DESKTOP} DESTINATION share/applications)
+install(FILES ${APP_CONFIG} DESTINATION share/deepin-voice-note)
+install(FILES ${APP_LOGO} DESTINATION  ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)
 if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
-    install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/sw/deepin-voice-note     DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application/)
+    install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/sw/deepin-voice-note     DESTINATION /usr/share/deepin-manual/manual-assets/application/)
 else()
-    install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/deepin-voice-note     DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application/)
-endif()
-install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/web    DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-voice-note)
+    install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/deepin-voice-note     DESTINATION /usr/share/deepin-manual/manual-assets/application/)
+endif()
+install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/web    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-voice-note)
 #if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "x86_64")
 if (CMAKE_BUILD_TYPE MATCHES Debug)
-add_subdirectory(tests)
+#add_subdirectory(tests)
 endif()
 #endif()
