=== debian/changelog ===
deepin-voice-note (6.0.17) unstable; urgency=medium

  * add build-dep deepin-desktop-base.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 30 Jan 2024 16:08:20 +0800

deepin-voice-note (6.0.16) unstable; urgency=medium

  * New version 6.0.16.

 -- wangcong <wangcong@uniontech.com>  Fri, 5 Jan 2024 14:50:42 +0800

deepin-voice-note (6.0.15) unstable; urgency=medium

  * New version 6.0.15.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 17 Oct 2023 17:41:42 +0800

deepin-voice-note (6.0.14) unstable; urgency=medium

  * Adjust the audio port available range.

 -- renbin <renbin@uniontech.com>  Fri, 13 Oct 2023 16:08:18 +0800

deepin-voice-note (6.0.13) unstable; urgency=medium

  * New version 6.0.13

 -- wangcong <wangcong@uniontech.com>  Thu, 21 Sep 2023 15:31:45 +0800

deepin-voice-note (6.0.12) unstable; urgency=medium

  * New version 6.0.12

 -- wangcong <wangcong@uniontech.com>  Wed, 18 Jul 2023 13:14:45 +0800

deepin-voice-note (6.0.11) unstable; urgency=medium

  * New version 6.0.11

 -- wangcong <wangcong@uniontech.com>  Wed, 18 Jul 2023 13:14:45 +0800

deepin-voice-note (6.0.10) unstable; urgency=medium

  * New version 6.0.10

 -- wangcong <wangcong@uniontech.com>  Wed, 7 Jun 2023 13:22:45 +0800

deepin-voice-note (6.0.9) unstable; urgency=medium

  * New version 6.0.9

 -- wangcong <wangcong@uniontech.com>  Wed, 7 Jun 2023 10:03:45 +0800

deepin-voice-note (6.0.8) unstable; urgency=medium

  * fix: Fix the issue of creating new text notes while using Ctrl+B bold text(Bug: 151155)
  * chore: Update translations(Bug: 189815)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 24 May 2023 15:22:15 +0800

deepin-voice-note (6.0.7) unstable; urgency=medium

  * New version 6.0.7

 -- wangcong <wangcong@uniontech.com>  Fri, 12 May 2023 11:46:45 +0800

deepin-voice-note (6.0.6) unstable; urgency=medium

  * New version 6.0.6

 -- hemingyang <hemingyang@uniontech.com>  Mon, 3 Jan 2023 15:10:45 +0800

deepin-voice-note (6.0.5) unstable; urgency=medium

  * New version 6.0.5

 -- wangcong <wangcong@uniontech.com>  Mon, 28 Nov 2022 17:42:45 +0800

deepin-voice-note (6.0.4) unstable; urgency=medium

  * New version 6.0.4

 -- hemingyang <hemingyang@uniontech.com>  Tues, 08 Nov 2022 14:22:05 +0800

deepin-voice-note (6.0.3) unstable; urgency=medium

  * New version 6.0.3

 -- hemingyang <hemingyang@uniontech.com>  Thur, 20 Sep 2022 14:41:05 +0800

deepin-voice-note (6.0.2) unstable; urgency=medium

  * New version 6.0.2

 -- hemingyang <hemingyang@uniontech.com>  Thur, 15 Sep 2022 14:38:35 +0800

deepin-voice-note (6.0.1) unstable; urgency=medium

  * New version 6.0.1

 -- hemingyang <hemingyang@uniontech.com>  Mon, 5 Sep 2022 14:38:35 +0800
