=== debian/control ===
--- 
+++ 
@@ -21,7 +21,10 @@
  libvlccore-dev,
  libqt5webchannel5-dev,
  qtwebengine5-dev,
- libgtest-dev
+ libgtest-dev,
+ libffmpegthumbnailer-dev,
+ libdmr-dev,
+ deepin-desktop-base
 Standards-Version: 4.1.3
 Homepage: <insert the upstream URL, if relevant>
 #Vcs-Browser: https://salsa.debian.org/debian/voice-note
@@ -29,8 +32,7 @@
 
 Package: deepin-voice-note
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- gstreamer1.0-pulseaudio,gstreamer1.0-plugins-base,gstreamer1.0-plugins-good
+Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer1.0-plugins-good, vlc-plugin-base, gstreamer1.0-pulseaudio
 Recommends: uos-reporter, deepin-event-log
 Description: Voice Notes is a lightweight memo tool to make text notes and voice recordings
   Voice Notes is a simple memo software with texts and voice recordings. You are able to save the recordings as MP3 format or texts.
