=== debian/changelog ===
deepin-voice-note (6.5.21) unstable; urgency=medium

  * chore: New version 6.5.21.

 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 14 May 2025 12:15:02 +0800

deepin-voice-note (6.5.20) unstable; urgency=medium

  * chore: New version 6.5.20.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 27 Mar 2025 13:31:38 +0800

deepin-voice-note (6.5.19) unstable; urgency=medium

  * chore: New version 6.5.19.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 20 Mar 2025 19:07:35 +0800

deepin-voice-note (6.5.18) unstable; urgency=medium

  * Update version to 6.5.18

 -- renbin <renbin@uniontech.com>  Thu, 06 Mar 2025 19:57:47 +0800

deepin-voice-note (6.5.17) unstable; urgency=medium

  * fix: can not record voice(Bug: 305495)
  * fix: crash on play voice

 -- renbin <renbin@uniontech.com>  Fri, 28 Feb 2025 11:49:46 +0800

deepin-voice-note (6.5.16) unstable; urgency=medium

  * chore: New version 6.5.16.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 27 Feb 2025 19:34:59 +0800

deepin-voice-note (6.5.15) unstable; urgency=medium

  * chore: New version 6.5.15.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 20 Feb 2025 20:14:09 +0800

deepin-voice-note (6.5.14) unstable; urgency=medium

  * chore: New version 6.5.14.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 14 Feb 2025 09:17:56 +0800

deepin-voice-note (6.5.13) unstable; urgency=medium

  * fix: cannot launch copilot page on first start (#179)(Bug: 300535)

 -- renbin <renbin@uniontech.com>  Thu, 16 Jan 2025 17:07:56 +0800

deepin-voice-note (6.5.12) unstable; urgency=medium

  * chore: New version 6.5.12.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 09 Jan 2025 13:49:11 +0800

deepin-voice-note (6.5.11) unstable; urgency=medium

  * chore: New version 6.5.11.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 02 Jan 2025 20:35:06 +0800

deepin-voice-note (6.5.10) unstable; urgency=medium

  * fix: Fixed the display issue(Bug: 297107)
  * fix: Fixed sidebar issues(Bug: 297145)
  * fix: Fixed the font blur issue(Bug: 297093)
  * fix: Fixed the issue of separator pixels(Bug: 297087)

 -- renbin <renbin@uniontech.com>  Fri, 27 Dec 2024 10:55:13 +0800

deepin-voice-note (6.5.9) unstable; urgency=medium

  * chore: New version 6.5.9.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 11:52:25 +0800

deepin-voice-note (6.5.8) unstable; urgency=medium

  * New Version 6.5.8.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 10:52:44 +0800

deepin-voice-note (6.5.7) unstable; urgency=medium

  * New Version 6.5.7.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 07 Dec 2024 14:10:05 +0800

deepin-voice-note (6.5.6) unstable; urgency=medium

  * New Version 6.5.6.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 30 Nov 2024 13:09:05 +0800

deepin-voice-note (6.5.5) unstable; urgency=medium

  * New Version 6.5.5.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 22 Nov 2024 17:37:53 +0800

deepin-voice-note (6.5.4) unstable; urgency=medium

  * New Version 6.5.4.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 22 Nov 2024 16:24:49 +0800

deepin-voice-note (6.5.3) unstable; urgency=medium

  * New Version 6.5.3.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 08 Nov 2024 15:14:52 +0800

deepin-voice-note (6.5.2) unstable; urgency=medium

  * New Version 6.5.2.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 25 Oct 2024 10:05:38 +0800

deepin-voice-note (6.5.1) unstable; urgency=medium

  * New Version 6.5.1.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 18 Oct 2024 15:56:33 +0800

deepin-voice-note (6.5.0) unstable; urgency=medium

  * feat: Use QML to refactor the interface.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 27 Sep 2024 17:00:18 +0800

deepin-voice-note (6.0.18) unstable; urgency=medium

  * fix: Fix voice notepad UI problem (Bug: 244879)
  * fix: Fix UI problem of dark theme playback control (Bug: 244955)
  * fix: Does not participate in wayland crash reconnection (Bug: 248535)

 -- renbin <renbin@uniontech.com>  Wed, 03 Apr 2024 16:20:20 +0800
