=== debian/control ===
Source: deepin-voice-note
Section: devel
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 cmake,
 libutf8proc-dev,
 qt6-base-dev,
 qt6-tools-dev-tools,
 qt6-declarative-dev,
 qt6-webchannel-dev,
 qt6-webengine-dev,
 qt6-multimedia-dev,
 qt6-l10n-tools,
 pkg-config,
 libsqlite3-dev,
 libglib2.0-dev,
 libdtk6core-dev,
 libdtk6core-bin,
 libdtk6gui-dev,
 libdtk6declarative-dev,
 libdtk6widget-dev,
 libgstreamer1.0-dev,
 libvlc-dev,
 libvlccore-dev,
 libgtest-dev,
 libffmpegthumbnailer-dev,
 libdmr-dev,
 deepin-desktop-base,
# qml modules
 qml6-module-qtquick-dialogs,
 qml6-module-qtwebchannel,
 qml6-module-qtwebengine
Standards-Version: 4.1.3
Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/voice-note
#Vcs-Git: https://salsa.debian.org/debian/voice-note.git

Package: deepin-voice-note
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 gstreamer1.0-plugins-good,
 gstreamer1.0-pulseaudio,
 libqt6webenginecore6-bin,
 qml6-module-qtquick-dialogs,
 qml6-module-qtwebchannel,
 qml6-module-qtwebengine
Recommends: uos-reporter, deepin-event-log, libvlc5, vlc-plugin-base
Description: Voice Notes is a lightweight memo tool to make text notes and voice recordings
  Voice Notes is a simple memo software with texts and voice recordings. You are able to save the recordings as MP3 format or texts.
