## deepin-voice-note 6.5.33

=== debian/changelog ===
deepin-voice-note (6.5.33) unstable; urgency=medium

  * chore: New version 6.5.33.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 27 Jun 2025 18:05:24 +0800

deepin-voice-note (6.5.32) unstable; urgency=medium

  * fix: Change childActions return type to QVariantList

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 26 Jun 2025 13:52:37 +0800

deepin-voice-note (6.5.31) unstable; urgency=medium

  * fix: Update header formatting in voice notes documentation

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 24 Jun 2025 17:49:33 +0800

deepin-voice-note (6.5.30) unstable; urgency=medium

  * chore: New version 6.5.30.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 12:03:59 +0800

deepin-voice-note (6.5.29) unstable; urgency=medium

  * fix: Update MIPS architecture dependencies in debian/control

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Sat, 21 Jun 2025 19:51:34 +0800

deepin-voice-note (6.5.28) unstable; urgency=medium

  * fix: Update lrelease command detection for Qt6 compatibility

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Sat, 21 Jun 2025 15:47:20 +0800

deepin-voice-note (6.5.27) unstable; urgency=medium

  * fix: Adjust MIPS architecture dependencies in debian/control

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 11:48:11 +0800

deepin-voice-note (6.5.26) unstable; urgency=medium

  * fix: Enable qml6-module-qtquick-controls2 and qml6-module-qtquick-templates2 for MIPS architecture

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 11:06:24 +0800

deepin-voice-note (6.5.25) unstable; urgency=medium

  * chore: Update dman's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 15:15:56 +0800

deepin-voice-note (6.5.24) unstable; urgency=medium

  * fix: noise reduction recording exception
  * chore: unify mips branch

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 13 Jun 2025 11:35:05 +0800

deepin-voice-note (6.5.23) unstable; urgency=medium

  * Update version to 6.5.23

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 05 Jun 2025 16:15:31 +0800

deepin-voice-note (6.5.22) unstable; urgency=medium

  * Update version to 6.5.22 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 30 May 2025 14:24:23 +0800
