=== debian/changelog ===
deepin-voice-note (6.5.35) unstable; urgency=medium

  * chore: update the help manual

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 17 Jul 2025 19:42:03 +0800

deepin-voice-note (6.5.34) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 09 Jul 2025 16:50:14 +0800
