=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -78,7 +78,6 @@
 target_link_libraries(${PROJECT_NAME_TEST}
     ${DtkWidget_LIBRARIES}
     ${DtkCore_LIBRARIES}
-    ${DFrameworkdbus_LIBRARIES}
     ${GSTREAMER_LIBRARIES}
     ${LIBVLC_LIBRARIES}
     ${GTEST_LIBRARYS}
