=== debian/changelog ===
deepin-voice-note (6.5.45) unstable; urgency=medium

  * fix: Implement UOS edition detection and validation methods

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 16 Oct 2025 19:33:51 +0800

deepin-voice-note (6.5.44) unstable; urgency=medium

  * fix: Implement restrictions on note and folder deletion during audio recording and playback

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 10 Oct 2025 19:02:42 +0800

deepin-voice-note (6.5.43) unstable; urgency=medium

  * fix: Implement restrictions on note and folder creation during audio recording and playback

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 10 Oct 2025 15:04:33 +0800

deepin-voice-note (6.5.42) unstable; urgency=medium

  * fix: Enhance note creation process with folder validation

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 25 Sep 2025 14:46:27 +0800

deepin-voice-note (6.5.41) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Wed, 17 Sep 2025 13:34:44 +0800

deepin-voice-note (6.5.40) unstable; urgency=medium

  * fix: Improve color handling in ItemListView based on focus and theme type

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 28 Aug 2025 19:37:12 +0800

deepin-voice-note (6.5.39) unstable; urgency=medium

  * fix: Enhance note renaming functionality

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 21 Aug 2025 17:35:15 +0800

deepin-voice-note (6.5.38) unstable; urgency=medium

  * chore: Update desktop file translations

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 14:48:38 +0800

deepin-voice-note (6.5.37) unstable; urgency=medium

  * chore: Add new Lao translation file

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 07 Aug 2025 16:09:16 +0800

deepin-voice-note (6.5.36) unstable; urgency=medium

  * chore: update changelog

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 31 Jul 2025 19:19:31 +0800
