=== debian/control ===
Source: deepin-voice-note
Section: devel
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 cmake,
 libutf8proc-dev,
 qt6-base-dev [!mipsel !mips64el] | qtbase5-dev [mipsel mips64el],
 qt6-tools-dev-tools [!mipsel !mips64el] | qttools5-dev-tools [mipsel mips64el],
 qt6-declarative-dev [!mipsel !mips64el] | qtdeclarative5-dev [mipsel mips64el],
 qt6-webchannel-dev [!mipsel !mips64el] | libqt5webchannel5-dev [mipsel mips64el],
 qt6-webengine-dev [!mipsel !mips64el] | qtwebengine5-dev [mipsel mips64el],
 qt6-multimedia-dev [!mipsel !mips64el] | qtmultimedia5-dev [mipsel mips64el],
 qt6-l10n-tools [!mipsel !mips64el],
 pkg-config,
 libsqlite3-dev,
 libglib2.0-dev,
 libdtk6core-dev [!mipsel !mips64el] | libdtkcore-dev [mipsel mips64el],
 libdtk6core-bin [!mipsel !mips64el] | libdtkcore5-bin [mipsel mips64el],
 libdtk6gui-dev [!mipsel !mips64el] | libdtkgui-dev [mipsel mips64el],
 libdtk6declarative-dev [!mipsel !mips64el] | libdtkdeclarative-dev [mipsel mips64el],
 libdtk6widget-dev [!mipsel !mips64el] | libdtkwidget-dev [mipsel mips64el],
 libgstreamer1.0-dev,
 libvlc-dev,
 libvlccore-dev,
 libgtest-dev,
 libffmpegthumbnailer-dev,
 libdmr-dev [!mipsel !mips64el],
 deepin-desktop-base,
# qml modules
 qml6-module-qtquick-dialogs [!mipsel !mips64el] | qml-module-qtquick-dialogs [mipsel mips64el],
 qml6-module-qtquick-layouts [!mipsel !mips64el] | qml-module-qtquick-layouts [mipsel mips64el],
 qml6-module-qtqml-models [!mipsel !mips64el] | qml-module-qtqml-models2 [mipsel mips64el],
 qml6-module-qt-labs-platform [!mipsel !mips64el] | qml-module-qt-labs-platform [mipsel mips64el],
# qml6-module-qtgraphicaleffects [!mipsel !mips64el] | qml-module-qtgraphicaleffects [mipsel mips64el],
 qml6-module-qtwebchannel [!mipsel !mips64el] | qml-module-qtwebchannel [mipsel mips64el],
 qml6-module-qtwebengine [!mipsel !mips64el] | qml-module-qtwebengine [mipsel mips64el]
Standards-Version: 4.1.3
Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/voice-note
#Vcs-Git: https://salsa.debian.org/debian/voice-note.git

Package: deepin-voice-note
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 gstreamer1.0-plugins-good,
 gstreamer1.0-pulseaudio,
 vlc-plugin-base,
 libqt6webenginecore6-bin [!mipsel !mips64el] | libqt5sql5-sqlite [mipsel mips64el],
 qml6-module-qtquick-dialogs [!mipsel !mips64el] | qml-module-qtquick-dialogs [mipsel mips64el],
 qml6-module-qtquick-layouts [!mipsel !mips64el] | qml-module-qtquick-layouts [mipsel mips64el],
 qml-module-qtquick-controls2 [mipsel mips64el],
 qml-module-qtquick-templates2 [mipsel mips64el],
 qml6-module-qtqml-models [!mipsel !mips64el] | qml-module-qtqml-models2 [mipsel mips64el],
 qml6-module-qt-labs-platform [!mipsel !mips64el] | qml-module-qt-labs-platform [mipsel mips64el],
# qml6-module-qtgraphicaleffects [!mipsel !mips64el] | qml-module-qtgraphicaleffects [mipsel mips64el],
 qml6-module-qtwebchannel [!mipsel !mips64el] | qml-module-qtwebchannel [mipsel mips64el],
 qml6-module-qtwebengine [!mipsel !mips64el] | qml-module-qtwebengine [mipsel mips64el],
 libdtkdeclarative5 [mipsel mips64el],
 qml-module-qtgraphicaleffects [mipsel mips64el]
Recommends: uos-reporter, deepin-event-log, libvlc5 [!mipsel !mips64el]
Description: Voice Notes is a lightweight memo tool to make text notes and voice recordings
  Voice Notes is a simple memo software with texts and voice recordings. You are able to save the recordings as MP3 format or texts.
